Digital wallets

GET https://1v.lt/api/digital-wallets/
curl --request GET \
--url 'https://1v.lt/api/digital-wallets/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Išsamesnė informacija Aprašymas
domain_id Optional Integer Domain
link_id Optional Integer Link ID
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: name.
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: digital_wallet_id, domain_id, link_id, pageviews, last_datetime, name, datetime.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "hash": "aB3dE5gH7jK9mN2p",
            "wallet_urls": {
                "google": "https://1v.lt/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=google",
                "apple": "https://1v.lt/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=apple"
            },
            "user_id": 1,
            "domain_id": null,
            "link_id": null,
            "location_url": "https://example.com",
            "name": "Business card",
            "pageviews": 0,
            "settings": {
                "title": "PHP Developer",
                "subtitle": "AltumCode",
                "logo": "logo.png",
                "image": "banner.png",
                "background_color": "#111827",
                "phone": "+40 000 000 000",
                "email": "hello@example.com",
                "website": "https://example.com"
            },
            "last_datetime": null,
            "datetime": "2026-07-11 02:58:24"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://1v.lt/api/digital-wallets?page=1",
        "last": "https://1v.lt/api/digital-wallets?page=1",
        "next": null,
        "prev": null,
        "self": "https://1v.lt/api/digital-wallets?page=1"
    }
}
GET https://1v.lt/api/digital-wallets/{digital_wallet_id}
curl --request GET \
--url 'https://1v.lt/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "hash": "aB3dE5gH7jK9mN2p",
        "wallet_urls": {
            "google": "https://1v.lt/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=google",
            "apple": "https://1v.lt/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=apple"
        },
        "user_id": 1,
        "domain_id": null,
        "link_id": null,
        "location_url": "https://example.com",
        "name": "Business card",
        "pageviews": 0,
        "settings": {
            "title": "PHP Developer",
            "subtitle": "AltumCode",
            "logo": "logo.png",
            "image": "banner.png",
            "background_color": "#111827",
            "phone": "+40 000 000 000",
            "email": "hello@example.com",
            "website": "https://example.com"
        },
        "last_datetime": null,
        "datetime": "2026-07-11 02:58:24"
    }
}
POST https://1v.lt/api/digital-wallets
Parameters Išsamesnė informacija Aprašymas
name Required String Internal name used to identify this wallet card in your account.
title Required String Main text displayed on the Digital Wallet card.
location_url Required String This URL is used for the Digital Wallet QR code and main action.
link_id Optional Integer Optionally choose one of your existing links. Its destination URL will be used automatically.
subtitle Optional String Optional supporting text shown below the title.
logo Optional File Logo
image Optional File Wide banner shown at the top of the Digital Wallet card. Recommended aspect ratio: 3:1.
background_color Optional String Background color
phone Optional String Phone number
email Optional String El. paštas
website Optional String Website
curl --request POST \
--url 'https://1v.lt/api/digital-wallets' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Business card' \
--form 'title=PHP Developer' \
--form 'subtitle=AltumCode' \
--form 'location_url=https://example.com' \
--form 'background_color=#111827' \
--form 'email=hello@example.com'
{
    "data": {
        "id": 1,
        "hash": "aB3dE5gH7jK9mN2p",
        "wallet_urls": {
            "google": "https://1v.lt/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=google",
            "apple": "https://1v.lt/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=apple"
        },
        "user_id": 1,
        "domain_id": null,
        "link_id": null,
        "location_url": "https://example.com",
        "name": "Business card",
        "pageviews": 0,
        "settings": {
            "title": "PHP Developer",
            "subtitle": "AltumCode",
            "logo": "logo.png",
            "image": "banner.png",
            "background_color": "#111827",
            "phone": "+40 000 000 000",
            "email": "hello@example.com",
            "website": "https://example.com"
        },
        "last_datetime": null,
        "datetime": "2026-07-11 02:58:24"
    }
}
POST https://1v.lt/api/digital-wallets/{digital_wallet_id}
Parameters Išsamesnė informacija Aprašymas
name Optional String Internal name used to identify this wallet card in your account.
title Optional String Main text displayed on the Digital Wallet card.
location_url Optional String This URL is used for the Digital Wallet QR code and main action.
link_id Optional Integer Optionally choose one of your existing links. Its destination URL will be used automatically.
subtitle Optional String Optional supporting text shown below the title.
logo Optional File Logo
image Optional File Wide banner shown at the top of the Digital Wallet card. Recommended aspect ratio: 3:1.
background_color Optional String Background color
phone Optional String Phone number
email Optional String El. paštas
website Optional String Website
curl --request POST \
--url 'https://1v.lt/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated business card' \
--form 'title=Senior PHP Developer'
{
    "data": {
        "id": 1,
        "hash": "aB3dE5gH7jK9mN2p",
        "wallet_urls": {
            "google": "https://1v.lt/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=google",
            "apple": "https://1v.lt/digital-wallet-add/aB3dE5gH7jK9mN2p?provider=apple"
        },
        "user_id": 1,
        "domain_id": null,
        "link_id": null,
        "location_url": "https://example.com",
        "name": "Updated business card",
        "pageviews": 0,
        "settings": {
            "title": "Senior PHP Developer",
            "subtitle": "AltumCode",
            "logo": "logo.png",
            "image": "banner.png",
            "background_color": "#111827",
            "phone": "+40 000 000 000",
            "email": "hello@example.com",
            "website": "https://example.com"
        },
        "last_datetime": "2026-07-11 02:58:24",
        "datetime": "2026-07-11 02:58:24"
    }
}
DELETE https://1v.lt/api/digital-wallets/{digital_wallet_id}
curl --request DELETE \
--url 'https://1v.lt/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \